%global tarball xf86-input-libinput
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:       A libinput-based input driver for the Xorg X server
Name:          xorg-x11-drv-libinput
Version:       1.2.1
Release:       6%{?dist}
URL:           http://www.x.org
License:       MIT
Source0:       https://www.x.org/pub/individual/driver/%{tarball}-%{version}.tar.xz
Source1:       71-libinput-overrides-wacom.conf

Patch3000:     0001-Add-a-DPIScaleFactor-option-as-temporary-solution-to.patch

BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-server-devel >= 1.14.0
BuildRequires: libudev-devel libevdev-devel libinput-devel >= 0.6.0-3
BuildRequires: xorg-x11-util-macros
Requires:      Xorg %(xserver-sdk-abi-requires ansic)
Requires:      Xorg %(xserver-sdk-abi-requires xinput)
Requires:      xkeyboard-config
Requires:      libinput >= 0.21.0
Provides:      xorg-x11-drv-synaptics = 1.9.0-3

%description
This is an X driver based on libinput. It is a thin wrapper
around libinput, so while it does provide all features that
libinput supports it does little beyond.

%package devel
Summary:       Xorg X11 libinput input driver development package
Requires:      pkgconfig

%description devel
Xorg X11 libinput input driver development files.

%prep
%autosetup -n %{tarball}-%{version} -p1

%build
autoreconf -fiv
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" -delete
cp %{SOURCE1} %{buildroot}%{_datadir}/X11/xorg.conf.d/

%files
%license COPYING
%{driverdir}/libinput_drv.so
%{_datadir}/X11/xorg.conf.d/40-libinput.conf
%{_datadir}/X11/xorg.conf.d/71-libinput-overrides-wacom.conf
%{_mandir}/man4/libinput.4*

%files devel
%license COPYING
%{_libdir}/pkgconfig/xorg-libinput.pc
%dir %{_includedir}/xorg/
%{_includedir}/xorg/libinput-properties.h

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 27 2022 ZoeDong <zoedong@tencent.com> - 1.2.1-1
- Initial build
